## anki 2.0.11+dfsg

=== Makefile ===
PREFIX=/usr

all:
	@echo "You can run Anki with ./runanki"
	@echo "If you wish to install it system wide, type 'sudo make install'"
	@echo "Uninstall with 'sudo make uninstall'"

install:
	rm -rf ${DESTDIR}${PREFIX}/share/anki
	mkdir -p ${DESTDIR}${PREFIX}/share/anki
	cp -av * ${DESTDIR}${PREFIX}/share/anki/
	cd ${DESTDIR}${PREFIX}/share/anki && (\
	mv runanki ${DESTDIR}${PREFIX}/local/bin/anki;\
	mv anki.xpm anki.png ${DESTDIR}${PREFIX}/share/pixmaps/;\
	mv anki.desktop ${DESTDIR}${PREFIX}/share/applications;\
	mv anki.1 ${DESTDIR}${PREFIX}/share/man/man1/)
	xdg-mime install anki.xml --novendor
	xdg-mime default anki.desktop application/x-anki
	xdg-mime default anki.desktop application/x-apkg
	@echo
	@echo "Install complete."

uninstall:
	rm -rf ${DESTDIR}${PREFIX}/share/anki
	rm -rf ${DESTDIR}${PREFIX}/local/bin/anki
	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.{xpm,png}
	rm -rf ${DESTDIR}${PREFIX}/share/applications/anki.desktop
	rm -rf ${DESTDIR}${PREFIX}/share/man/man1/anki.1
	-xdg-mime uninstall ${DESTDIR}${PREFIX}/share/mime/packages/anki.xml
	@echo
	@echo "Uninstall complete."

=== debian/changelog ===
anki (2.0.11+dfsg-3) unstable; urgency=low

  * Use standard translations of core QT4 instead of installing our own version
  * Add missing load of pie chart plugin in Debian modified anki/js.py
    (Closes: 716774)

 -- Andreas Bombe <aeb@debian.org>  Sun, 21 Jul 2013 16:50:10 +0200

anki (2.0.11+dfsg-2) unstable; urgency=low

  * Add missing dependency on python-httplib2 (Closes: 712930)
  * Replace debian/watch with version suggested by Bart Martens
  * Add dversionmangle to debian/watch to remove +dfsg from local version

 -- Andreas Bombe <aeb@debian.org>  Fri, 21 Jun 2013 02:02:15 +0200

anki (2.0.11+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.11+dfsg (Closes: 698663)
  * Adapt patches, launcher and install paths to new upstream code layout
  * Install upstream anki.xpm and anki.png, remove anki.xpm from Debian
    directory
  * Move to debhelper 9
  * Install upstream man page and remove debian/anki.1
  * Replace explicit calls to debhelper tools in debian/rules with dh sequencer
  * Add python-pyaudio to Depends and increase python-qt4 dependency to >= 4.7
  * Bump Standards-Version to 3.9.4
  * Replace inlined minified Javascript with references to libjs-jquery* files
  * Remove kakasi from Recommends, it is used only in downloaded plugins
  * Rewrite debian/copyright in DEP-5 format and update for new upstream release
  * Add README.source to explain DFSG repackaging

 -- Andreas Bombe <aeb@debian.org>  Thu, 20 Jun 2013 02:12:12 +0200

=== debian/control ===
Source: anki
Maintainer: Andreas Bombe <aeb@debian.org>
Section: education
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: http://ankisrs.net/
Vcs-Git: git://git.debian.org/git/collab-maint/anki
Vcs-Browser: http://git.debian.org/?p=collab-maint/anki.git

Package: anki
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
	python-qt4 (>= 4.7), python-simplejson (>= 1.7.3), python-httplib2,
	python-sqlalchemy (>= 0.5.3), python-beautifulsoup, python-pyaudio,
	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot
Recommends: python-matplotlib
Suggests: dvipng
Description: extensible flashcard learning program
 Anki is a program designed to help you remember facts (such as words and
 phrases in a foreign language) as easily, quickly and efficiently as possible.
 To do this, it tracks how well you remember each fact, and uses that
 information to optimally schedule review times.
 .
 Besides text, it supports sounds, images and rendering TeX snippets in the
 cards.  It can synchronize card decks to a server so that you can review the
 deck on other computers, a web interface or mobile devices, for which versions
 of Anki are also available.  Complete card decks offered by other users can be
 downloaded the same way.
 .
 Anki is extensible with plugins which can be downloaded and installed from
 the menu.  While Anki can be used for studying anything, plugins are available
 with special features designed to make studying Japanese and English easier:
 integrated dictionary lookups, missing kanji reports, and more.

=== debian/watch ===
version=3

opts=downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/,dversionmangle=s/\+dfsg// \
http://code.google.com/p/anki/downloads/list?can=1 .*=anki-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)).*

## anki 2.0.18+dfsg

=== debian/changelog ===
anki (2.0.18+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.18+dfsg

 -- Andreas Bombe <aeb@debian.org>  Fri, 22 Nov 2013 20:41:43 +0100

anki (2.0.16+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.16+dfsg

 -- Andreas Bombe <aeb@debian.org>  Mon, 04 Nov 2013 22:37:34 +0100

anki (2.0.15+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.15+dfsg
  * Change Vcs fields in control file to canonical addresses for Debian
    collab-maint

 -- Andreas Bombe <aeb@debian.org>  Thu, 24 Oct 2013 23:58:57 +0200

anki (2.0.14+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.14+dfsg
  * Update watch file for download location on project page instead of Google
    Code

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Oct 2013 23:35:21 +0200

anki (2.0.12+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.12+dfsg
  * Remove unneeded locale/qt_*.qm files from DFSG repackaging

 -- Andreas Bombe <aeb@debian.org>  Sun, 04 Aug 2013 15:46:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Indep: python (>= 2.6.6-3~)
 Standards-Version: 3.9.4
 Homepage: http://ankisrs.net/
-Vcs-Git: git://git.debian.org/git/collab-maint/anki
-Vcs-Browser: http://git.debian.org/?p=collab-maint/anki.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/anki
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/anki.git
 
 Package: anki
 Architecture: all

## anki 2.0.20%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ankisrs.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/anki
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/anki.git

## anki 2.0.20+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 	cp -av * ${DESTDIR}${PREFIX}/share/anki/
 	cd ${DESTDIR}${PREFIX}/share/anki && (\
 	mv runanki ${DESTDIR}${PREFIX}/local/bin/anki;\
-	mv anki.xpm anki.png ${DESTDIR}${PREFIX}/share/pixmaps/;\
+	test -d ${DESTDIR}${PREFIX}/share/pixmaps &&\
+	  mv anki.xpm anki.png ${DESTDIR}${PREFIX}/share/pixmaps/;\
 	mv anki.desktop ${DESTDIR}${PREFIX}/share/applications;\
 	mv anki.1 ${DESTDIR}${PREFIX}/share/man/man1/)
 	xdg-mime install anki.xml --novendor
@@ -23,7 +24,8 @@
 uninstall:
 	rm -rf ${DESTDIR}${PREFIX}/share/anki
 	rm -rf ${DESTDIR}${PREFIX}/local/bin/anki
-	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.{xpm,png}
+	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.xpm
+	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.png
 	rm -rf ${DESTDIR}${PREFIX}/share/applications/anki.desktop
 	rm -rf ${DESTDIR}${PREFIX}/share/man/man1/anki.1
 	-xdg-mime uninstall ${DESTDIR}${PREFIX}/share/mime/packages/anki.xml

=== debian/changelog ===
anki (2.0.20+dfsg-2) unstable; urgency=medium

  * Add patch fix-traceback-import to add required "import traceback" at the
    beginning of AnkiQt's __init__() (Closes: 734465)

 -- Andreas Bombe <aeb@debian.org>  Mon, 13 Jan 2014 01:03:42 +0100

anki (2.0.20+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.0.20+dfsg
  * Bump Standards-Version to 3.9.5

 -- Andreas Bombe <aeb@debian.org>  Tue, 24 Dec 2013 01:19:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	# standard make target only prints help message

override_dh_auto_install:
	# prevent Makefile install target being run

override_dh_install:
	dh_install
	cp debian/anki-launcher debian/anki/usr/bin/anki

override_dh_fixperms:
	find debian/anki/usr/share/anki -type f -perm -1 -exec chmod a-x {} \;
	dh_fixperms

override_dh_clean:
	find . -type f -a -name '*.py[co]' -exec rm -f {} \;
	dh_clean

## anki 2.0.26+dfsg

=== debian/changelog ===
anki (2.0.26+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.0.26+dfsg

 -- Andreas Bombe <aeb@debian.org>  Sun, 11 May 2014 17:13:36 +0200

## anki 2.0.28+dfsg

=== debian/changelog ===
anki (2.0.28+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.28+dfsg (Closes: 757202)
  * Add mplayer2 and lame to Suggests, they are used for the recording
    and playback of cards with sound (Closes: 738463)

 -- Andreas Bombe <aeb@debian.org>  Sat, 09 Aug 2014 23:58:48 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	python-sqlalchemy (>= 0.5.3), python-beautifulsoup, python-pyaudio,
 	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot
 Recommends: python-matplotlib
-Suggests: dvipng
+Suggests: dvipng, mplayer2, lame
 Description: extensible flashcard learning program
  Anki is a program designed to help you remember facts (such as words and
  phrases in a foreign language) as easily, quickly and efficiently as possible.

## anki 2.0.31+dfsg

=== debian/changelog ===
anki (2.0.31+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.31+dfsg
    - Having a current version fixes Anki server refusing to sync
      (Closes: 768398)
  * Add README.Debian with some info about why network syncing may fail

 -- Andreas Bombe <aeb@debian.org>  Tue, 02 Dec 2014 01:54:04 +0100

anki (2.0.30+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.30+dfsg
  * Bump Standards-Version to 3.9.6
  * Fix debian/copyright for DEP-5 format and correct wildcards for
    Anki logo files

 -- Andreas Bombe <aeb@debian.org>  Sun, 19 Oct 2014 00:45:05 +0200

anki (2.0.29+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.0.29+dfsg
  * Remove patch fix-traceback-import, has been fixed differently in
    upstream for a few versions already

 -- Andreas Bombe <aeb@debian.org>  Mon, 13 Oct 2014 23:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ankisrs.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/anki
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/anki.git

## anki 2.0.32+dfsg

=== debian/changelog ===
anki (2.0.32+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.32+dfsg
  * Add dh-python to Build-Depends-Indep

 -- Andreas Bombe <aeb@debian.org>  Sat, 02 May 2015 03:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: education
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python (>= 2.6.6-3~)
+Build-Depends-Indep: python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.9.6
 Homepage: http://ankisrs.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/anki

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://ankisrs.net/download/mirror/anki-(.+)\.tgz

## anki 2.1.0+dfsg~a12

=== debian/changelog ===
anki (2.1.0+dfsg~a12-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.1.0+dfsg~a12

 -- Julian Gilbey <jdg@debian.org>  Mon, 06 Mar 2017 17:02:03 +0000

anki (2.1.0+dfsg~a11-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.1.0+dfsg~a11
  * Update README.source

 -- Julian Gilbey <jdg@debian.org>  Wed, 22 Feb 2017 16:15:46 +0000

anki (2.1.0+dfsg~a10-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add warning message to the NEWS file to note that this is an alpha
    release.  (This NEWS item should be removed once this version reaches
    beta state.)

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Feb 2017 23:05:06 +0000

anki (2.1.0+dfsg~a10-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #826727)

 -- Julian Gilbey <jdg@debian.org>  Thu, 09 Feb 2017 17:40:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Maintainer: Andreas Bombe <aeb@debian.org>
 Section: education
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python (>= 2.6.6-3~), dh-python
-Standards-Version: 3.9.6
+Build-Depends-Indep: debhelper (>= 10), python3, dh-python
+X-Python3-Version: >= 3.5
+Standards-Version: 3.9.8
 Homepage: http://ankisrs.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/anki
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/anki.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/anki.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/anki.git
 
 Package: anki
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
-	python-qt4 (>= 4.7), python-simplejson (>= 1.7.3), python-httplib2,
-	python-sqlalchemy (>= 0.5.3), python-beautifulsoup, python-pyaudio,
+Depends: ${python3:Depends}, ${misc:Depends},
+	python3-pyqt5, python3-pyqt5.qtwebengine, python3-pyqt5.qtwebchannel,
+	python3-bs4, python3-httplib2, python3-pyaudio, python3-requests,
+	python3-send2trash,
 	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot
-Recommends: python-matplotlib
+Recommends: python3-matplotlib
 Suggests: dvipng, mplayer2, lame
 Description: extensible flashcard learning program
  Anki is a program designed to help you remember facts (such as words and

## anki 2.1.0+dfsg~b36

=== requirements.txt ===
bs4
send2trash
httplib2
pyaudio
requests
decorator
markdown

=== debian/changelog ===
anki (2.1.0+dfsg~b36-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 Feb 2018 17:30:05 +0000

anki (2.1.0+dfsg~b35-1) unstable; urgency=medium

  * New upstream version
  * Move from alioth to salsa, and update control file accordingly
  * Upstream now only requires Python >= 3.5

 -- Julian Gilbey <jdg@debian.org>  Sat, 03 Feb 2018 21:15:51 +0000

anki (2.1.0+dfsg~b34-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sun, 28 Jan 2018 09:46:30 +0000

anki (2.1.0+dfsg~b33-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Jan 2018 09:17:29 +0000

anki (2.1.0+dfsg~b31-1) unstable; urgency=medium

  * New upstream version
  * Move to debhelper compat level 11

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 Jan 2018 22:57:03 +0000

anki (2.1.0+dfsg~b29-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jan 2018 14:01:08 +0000

anki (2.1.0+dfsg~b27-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Dec 2017 14:45:49 +0000

anki (2.1.0+dfsg~b26-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Mon, 27 Nov 2017 10:43:01 +0000

anki (2.1.0+dfsg~b25-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Fri, 17 Nov 2017 08:33:28 +0000

anki (2.1.0+dfsg~b24-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Nov 2017 12:49:28 +0000

anki (2.1.0+dfsg~b23-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sat, 28 Oct 2017 20:56:36 +0100

anki (2.1.0+dfsg~b22-1) unstable; urgency=medium

  * New upstream version
  * Depend on python3 >= 3.6
  * Update upstream website in control file

 -- Julian Gilbey <jdg@debian.org>  Fri, 27 Oct 2017 07:36:15 +0100

anki (2.1.0+dfsg~b21-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Oct 2017 23:05:01 +0100

anki (2.1.0+dfsg~b20-1) unstable; urgency=medium

  * New upstream version: now in beta.
  * Added Julian Gilbey to Uploaders list
  * Updated Standards-Version to 4.1.1
  * No longer include bundled browsersel.js code, but use upstream version
    instead (including full headers)

 -- Julian Gilbey <jdg@debian.org>  Sun, 15 Oct 2017 20:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: anki
 Maintainer: Andreas Bombe <aeb@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Section: education
 Priority: optional
-Build-Depends-Indep: debhelper (>= 10), python3, dh-python
+Build-Depends-Indep: debhelper (>= 11), python3, dh-python
 X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
-Homepage: http://ankisrs.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/anki.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/anki.git
+Standards-Version: 4.1.3
+Homepage: https://apps.ankiweb.net/
+Vcs-Browser: https://salsa.debian.org/debian/anki
+Vcs-Git: https://salsa.debian.org/debian/anki.git
 
 Package: anki
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-	python3-pyqt5, python3-pyqt5.qtwebengine, python3-pyqt5.qtwebchannel,
+	python3-pyqt5 (>> 5.9), python3-pyqt5.qtwebengine (>> 5.9),
+	python3-pyqt5.qtwebchannel (>> 5.9),
 	python3-bs4, python3-httplib2, python3-pyaudio, python3-requests,
-	python3-send2trash,
-	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot
+	python3-send2trash, python3-decorator, python3-markdown,
+	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot, libjs-mathjax
 Recommends: python3-matplotlib
-Suggests: dvipng, mplayer2, lame
+Suggests: dvipng, mpv | mplayer, lame
 Description: extensible flashcard learning program
  Anki is a program designed to help you remember facts (such as words and
  phrases in a foreign language) as easily, quickly and efficiently as possible.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=anki
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_build:
 	# standard make target only prints help message

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
 https://apps.ankiweb.net .*/anki-([0-9.]+)-source\.tgz

opts=dversionmangle=s/\+dfsg// \
 https://apps.ankiweb.net/downloads/archive/ anki-([0-9.]+)\.tgz

## anki 2.1.0+dfsg

=== debian/changelog ===
anki (2.1.0+dfsg-1) unstable; urgency=medium

  * A stable upstream release!  (Closes: #855942)
  * Explicitly depend on Qt5 library version >> 5.11 (Closes: #895411)
  * Depend on python3-distutils (Closes: #905291)
  * No longer mention mplayer2 in the control file (Closes: #841189)

 -- Julian Gilbey <jdg@debian.org>  Mon, 06 Aug 2018 18:52:22 +0100

anki (2.1.0+dfsg~rc2-2) unstable; urgency=medium

  * Allow use of Qt 5.11 but only after agreement from the user
  * Use qt5 translations, not qt4 ones!

 -- Julian Gilbey <jdg@debian.org>  Thu, 02 Aug 2018 18:17:19 +0100

anki (2.1.0+dfsg~rc2-1) unstable; urgency=medium

  * New upstream version; release candidate.  But it still depends on Qt
    5.9.x.

 -- Julian Gilbey <jdg@debian.org>  Wed, 01 Aug 2018 10:43:19 +0100

anki (2.1.0+dfsg~b43-1) unstable; urgency=medium

  * New upstream version; still depends on Qt 5.9.x.

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jul 2018 22:18:20 +0100

anki (2.1.0+dfsg~b42-1) unstable; urgency=medium

  * New upstream version; this now depends on Qt 5.9.x so will not work
    in Debian for the foreseeable future.

 -- Julian Gilbey <jdg@debian.org>  Tue, 26 Jun 2018 23:30:56 +0100

anki (2.1.0+dfsg~b38-1) unstable; urgency=medium

  * New upstream version; won't work on unstable/testing until Qt5 5.11 is
    released.

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 May 2018 23:54:42 +0100

anki (2.1.0+dfsg~b37-2) unstable; urgency=medium

  * No longer specifically depend on version 5.9.x of PyQt5.  Though anki
    bombs out with version 5.10, the dependencies were too loose to
    control this, and 5.9.x is no longer in unstable or testing.  Anki
    will currently not work, until upstream decide that Qt5 5.10.1 is
    usable or 5.11.x is released or the code for bombing out of anki is
    removed.

 -- Julian Gilbey <jdg@debian.org>  Mon, 23 Apr 2018 10:16:27 +0100

anki (2.1.0+dfsg~b37-1) unstable; urgency=medium

  * Remove python3-httplib2 from dependencies, as it has not been used
    anywhere in the 2.1-alpha/beta series of releases
  * Specifically depend on version 5.9.x of PyQt5, as anki needs this
    version

 -- Julian Gilbey <jdg@debian.org>  Thu, 01 Mar 2018 14:50:05 +0000

## anki 2.1.6+dfsg

=== debian/changelog ===
anki (2.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Wed, 12 Dec 2018 09:14:57 +0000

anki (2.1.6+dfsg~beta2-1) unstable; urgency=medium

  * New upstream beta release; it works on unstable!  (Closes: #905379)

 -- Julian Gilbey <jdg@debian.org>  Sun, 09 Dec 2018 07:24:54 +0000

anki (2.1.5+dfsg+2.1.6-test.20181026.b4f4e65c-1) unstable; urgency=medium

  * Using current git version to see whether this will fix the Qt issue
  * Remove Qt 5.11 warning (upstream now allows it); don't worry about
    qtver.accepted cruft as this will not cause problems and previous
    versions with this check in never made it to testing

 -- Julian Gilbey <jdg@debian.org>  Fri, 26 Oct 2018 15:11:55 +0100

anki (2.1.5+dfsg-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * New upstream version
  * Move browsersel.js from a patch file to debian/ (makes the copyright
    file more accurate)
  * Remove unnecessary lintian override
  
  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Oct 2018 11:37:28 +0100

## anki 2.1.7+dfsg

=== debian/changelog ===
anki (2.1.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove now irrelevant NEWS item to prevent confusion

 -- Julian Gilbey <jdg@debian.org>  Tue, 18 Dec 2018 15:31:33 +0000

## anki 2.1.8+dfsg

=== requirements.txt ===
beautifulsoup4
send2trash
pyaudio
requests
decorator
markdown

=== debian/changelog ===
anki (2.1.8+dfsg-1ubuntu0.19.04.1) disco; urgency=medium

  * d/patches/QWebEngineView-import-fix.patch: Apply Arch-originating
    patch to aqt/qt.py to use a wildcard import to fetch all web engine
    plugins in order to get QWebEngineView imported, to fix a crash that
    prevents running anki. (LP: #1825722)

 -- Thomas Ward <teward@ubuntu.com>  Mon, 01 Jul 2019 13:03:33 -0400

anki (2.1.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 05 Feb 2019 21:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: anki
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Bombe <aeb@debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
 Section: education
 Priority: optional
 Build-Depends-Indep: debhelper (>= 11), python3, dh-python
-X-Python3-Version: >= 3.5
-Standards-Version: 4.1.3
+X-Python3-Version: >= 3.6
+Standards-Version: 4.1.5
 Homepage: https://apps.ankiweb.net/
 Vcs-Browser: https://salsa.debian.org/debian/anki
 Vcs-Git: https://salsa.debian.org/debian/anki.git
@@ -13,9 +14,11 @@
 Package: anki
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-	python3-pyqt5 (>> 5.9), python3-pyqt5.qtwebengine (>> 5.9),
-	python3-pyqt5.qtwebchannel (>> 5.9),
-	python3-bs4, python3-httplib2, python3-pyaudio, python3-requests,
+	python3-pyqt5 (>> 5.11),
+	python3-pyqt5.qtwebengine (>> 5.11),
+	python3-pyqt5.qtwebchannel (>> 5.11),
+	libqt5core5a (>= 5.11), python3-distutils,
+	python3-bs4, python3-pyaudio, python3-requests,
 	python3-send2trash, python3-decorator, python3-markdown,
 	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot, libjs-mathjax
 Recommends: python3-matplotlib

## anki 2.1.15%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: anki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Andreas Bombe <aeb@debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
 Section: education
 Priority: optional
@@ -20,6 +19,7 @@
 	libqt5core5a (>= 5.11), python3-distutils,
 	python3-bs4, python3-pyaudio, python3-requests,
 	python3-send2trash, python3-decorator, python3-markdown,
+	python3-jsonschema, python3-distro,
 	libjs-jquery, libjs-jquery-ui, libjs-jquery-flot, libjs-mathjax
 Recommends: python3-matplotlib
 Suggests: dvipng, mpv | mplayer, lame

## anki 2.1.15+dfsg

=== Makefile ===
PREFIX=/usr

all:
	@echo "You can run Anki with ./runanki"
	@echo "If you wish to install it system wide, type 'sudo make install'"
	@echo "Uninstall with 'sudo make uninstall'"

install:
	rm -rf ${DESTDIR}${PREFIX}/share/anki
	mkdir -p ${DESTDIR}${PREFIX}/share/anki
	cp -av anki aqt web ${DESTDIR}${PREFIX}/share/anki/
	-cp -av locale ${DESTDIR}${PREFIX}/share/anki/
	sed -e 's:@PREFIX@:${PREFIX}:' tools/runanki.system.in > tools/runanki.system
	install -m 0755 -D tools/runanki.system ${DESTDIR}${PREFIX}/bin/anki
	install -m 0644 -D -t ${DESTDIR}${PREFIX}/share/pixmaps anki.xpm anki.png
	install -m 0644 -D -t ${DESTDIR}${PREFIX}/share/applications anki.desktop
	install -m 0644 -D -t ${DESTDIR}${PREFIX}/share/man/man1 anki.1
	install -m 0644 -D -t ${DESTDIR}${PREFIX}/share/doc/anki README.contributing README.development README.md LICENSE LICENSE.logo
	-xdg-mime install anki.xml --novendor
	-xdg-mime default anki.desktop application/x-anki
	-xdg-mime default anki.desktop application/x-apkg
	@echo
	@echo "Install complete."

uninstall:
	rm -rf ${DESTDIR}${PREFIX}/share/anki
	rm -rf ${DESTDIR}${PREFIX}/bin/anki
	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.xpm
	rm -rf ${DESTDIR}${PREFIX}/share/pixmaps/anki.png
	rm -rf ${DESTDIR}${PREFIX}/share/applications/anki.desktop
	rm -rf ${DESTDIR}${PREFIX}/share/man/man1/anki.1
	-xdg-mime uninstall ${DESTDIR}${PREFIX}/share/mime/packages/anki.xml
	@echo
	@echo "Uninstall complete."

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,6 @@
 requests
 decorator
 markdown
+jsonschema
+psutil; sys_platform == "win32"
+distro; sys_platform != "win32" and sys_platform != "darwin"

=== debian/changelog ===
anki (2.1.15+dfsg-4ubuntu2) oracular; urgency=medium

  * Fix crash by removing distutils usage. (LP: #2062064)
  * Fix crash with use of unexpected float. (LP: #2015698)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 27 Jun 2024 22:09:13 +0100

anki (2.1.15+dfsg-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - cast to int to fix problem with python 3.10 being stricter.
    - Drop dependency on python3-distutils.
    - Drop unused libqt5core5 dependency, python3-pyqt5 already depends on it

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 May 2024 14:19:07 +0100

anki (2.1.15+dfsg-4) unstable; urgency=medium

  * Adopt package (closes: #1040433)
  * bump debhelper-compat version: 11 -> 13

 -- Laurin Hagemann <laurinhg@gmx.de>  Mon, 04 Mar 2024 14:36:39 +0000

anki (2.1.15+dfsg-3ubuntu4) noble; urgency=medium

  * Drop unused libqt5core5 dependency, python3-pyqt5 already depends on it

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 19:25:01 +0100

anki (2.1.15+dfsg-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:51:19 +0000

anki (2.1.15+dfsg-3ubuntu2) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:00:51 +0100

anki (2.1.15+dfsg-3ubuntu1) lunar; urgency=medium

  * cast to int to fix problem with python 3.10 being stricter (LP: #2004098)

 -- Rolf Leggewie <foss@leggewie.org>  Sat, 28 Jan 2023 21:22:07 +0100

anki (2.1.15+dfsg-3) unstable; urgency=medium

  * Fix html.parser.HTMLParser().unescape() -> html.parser.unescape() for
    Python 3.9 with thanks to Simon Ruderich <simon@ruderich.org>
    (closes: #975395)

 -- Julian Gilbey <jdg@debian.org>  Tue, 08 Dec 2020 20:13:39 +0000

anki (2.1.15+dfsg-2) unstable; urgency=medium

  * Apply patch to fix mpv invocation, with thanks to Harlan
    Lieberman-Berg (closes: #950964)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 May 2020 07:36:03 +0100

anki (2.1.15+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update dependencies and copyright file
  * Closes: #931798

 -- Julian Gilbey <jdg@debian.org>  Thu, 29 Aug 2019 23:15:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: anki
-Maintainer: Andreas Bombe <aeb@debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurin Hagemann <laurinhg@gmx.de>
 Section: education
 Priority: optional
-Build-Depends-Indep: debhelper (>= 11), python3, dh-python
+Build-Depends-Indep: python3, dh-python
 X-Python3-Version: >= 3.6
-Standards-Version: 4.1.5
+Standards-Version: 4.6.2
 Homepage: https://apps.ankiweb.net/
 Vcs-Browser: https://salsa.debian.org/debian/anki
 Vcs-Git: https://salsa.debian.org/debian/anki.git
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
 
 Package: anki
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-	python3-pyqt5 (>> 5.11),
-	python3-pyqt5.qtwebengine (>> 5.11),
-	python3-pyqt5.qtwebchannel (>> 5.11),
-	libqt5core5a (>= 5.11), python3-distutils,
+	python3-pyqt5,
+	python3-pyqt5.qtwebengine,
+	python3-pyqt5.qtwebchannel,
 	python3-bs4, python3-pyaudio, python3-requests,
 	python3-send2trash, python3-decorator, python3-markdown,
 	python3-jsonschema, python3-distro,

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,11 @@
 %:
 	dh $@ --with python3
 
+# standard make target only prints help message
 override_dh_auto_build:
-	# standard make target only prints help message
 
+# prevent Makefile install target being run
 override_dh_auto_install:
-	# prevent Makefile install target being run
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%anki-$1.tar.gz%, \
        dversionmangle=s/\+dfsg$//" \
             https://github.com/ankitects/anki/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
